Subject: bug#40899: Locales not set up correctly

From: Matthew Kraai <[email-masked]>
Date: Tue, 28 Apr 2020 01:34:20 -0700

On Tue, Apr 28, 2020 at 10:14:13AM +0200, zimoun wrote:
> On Tue, 28 Apr 2020 at 09:56, Matthew Kraai <[email-masked]> wrote:
> 
> > When I run guix, it still produces the same locale messages:
> >
> > ```
> > $ guix package -I
> > guile: warning: failed to install locale
> > hint: Consider installing the `glibc-utf8-locales' or `glibc-locales' package
> > and defining `GUIX_LOCPATH', along these lines:
> >
> >      guix package -i glibc-utf8-locales
> >           export GUIX_LOCPATH="$HOME/.guix-profile/lib/locale"
> >
> > See the "Application Setup" section in the manual, for more info.
> >
> > glibc-utf8-locales      2.29    out     /gnu/store/n79cf8bvy3k96gjk1rf18d36w40lkwlr-glibc-utf8-locales-2.29
> > ```
> 
> Hum? Did you set GUIX_LOCPATH?

Yes,

```
admin@ip-172-31-11-27:~$ echo $GUIX_LOCPATH
/home/admin/.guix-profile/lib/locale
admin@ip-172-31-11-27:~$ guix package -I
guile: warning: failed to install locale
hint: Consider installing the `glibc-utf8-locales' or `glibc-locales' package
and defining `GUIX_LOCPATH', along these lines:

     guix package -i glibc-utf8-locales
     export GUIX_LOCPATH="$HOME/.guix-profile/lib/locale"

See the "Application Setup" section in the manual, for more info.

glibc-utf8-locales      2.29    out     /gnu/store/n79cf8bvy3k96gjk1rf18d36w40lkwlr-glibc-utf8-locales-2.29
```

-- 
Matthew Kraai